<?php
$mem_start = memory_get_usage();

require('../includes/config.inc');
require('../includes/common.inc');
require('../../lib/database.inc');
require('../includes/amazon.inc');
require('../models/product_m.inc');
require('../models/datafeed_m.inc');

$user_limit = $argv[1];

echo("Finding API Products...");
$products_result = product_find_ws();
$total_api_products = $products_result->num_rows;

print $total_api_products . " API Products Found\n";

if ($user_limit) {
	if ($user_limit > $total_api_products) {
		$limit = $total_api_products;
	} else {
		$limit = $user_limit;
	}
} else {
	$limit = $total_api_products;
}

for ($i = 0; $i < $limit; $i++) {

	$product = $products_result->fetch_array();
	print "$i [{$product['mykey']}]  - Updating {$product['name']} from {$product['merchant_name']}";
	
	$config = $API[$product['ws_api_key']];		
	$network_class_file = "../models/api/" . $config['filename'] . ".class.php";

	require_once($network_class_file);

	$network_class_name = $config['classname'];
	$network = new $network_class_name($config);

	$options = array();
	$options['product_key'] = $product['network_product_key'];
	$ds_product = $network->getProduct($options);
	$ds_product['autoslug'] = slug($ds_product['name']);

 
  if ($ds_product['mykey'] == $product['mykey']) {
	print " (was {$product['display_price']} now {$ds_product['display_price']})\n";
		product_insert($ds_product);		
  } else {
  
		echo("\n$i - Not Found (mykey : {$product['mykey']})\n");
		
		if ($product['api_refresh_failures'] >= 5) {
			echo("DELETING API Product {$product['mykey']} due to too many consecutive failures\n");
			product_delete($product['mykey']);
		} else {
			product_increment_api_failure($product['mykey']); 
		}
	}
	
	$network = null;
	$product = null;
	$config = null;
	$ds_product = null;
	$options = null;
	$network_class_name = null;
	
	sleep(1);
	echo date("r") . " MEM:" . memory_get_usage() . "\n"; 
	
}

$mem_end = memory_get_usage();
$mem_used = $mem_end - $mem_start;
echo("Finished - Used $mem_used bytes\n");
?>
