<?php

require '../includes/config.inc';
require "$INSTALL_FOLDER/lib/database.inc";

$sql = <<<EOSQL
CREATE TABLE `products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mykey` varchar(255) DEFAULT NULL,
  `merchant_name` varchar(255) DEFAULT NULL,
  `model_number` varchar(100) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(2500) DEFAULT NULL,
  `thumb_url` varchar(1000) DEFAULT NULL,
  `image_url` varchar(1000) DEFAULT NULL,
  `deep_link` varchar(1000) DEFAULT NULL,
  `delivery_time` varchar(100) DEFAULT NULL,
  `in_stock` int(1) DEFAULT NULL,
  `rrp_price` decimal(11,2) DEFAULT NULL,
  `display_price` decimal(11,2) DEFAULT NULL,
  `is_preorder` int(1) DEFAULT NULL,
  `delivery_cost` decimal(11,2) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `datafeed_id` int(11) DEFAULT NULL,
  `category` varchar(100) DEFAULT NULL,
  `subcategory` varchar(100) DEFAULT NULL,
  `is_custom` int(1) DEFAULT '0',
  `autoslug` varchar(255) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `sub_category_id` int(11) DEFAULT NULL,
  `network_product_key` varchar(100) DEFAULT NULL,
  `ws_api_key` varchar(10) DEFAULT NULL,
  `used_price` decimal(11,2) DEFAULT NULL,
  `userfield1` varchar(255) DEFAULT NULL,
  `userfield2` varchar(255) DEFAULT NULL,
  `userfield3` varchar(255) DEFAULT NULL,
  `userfield4` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mykey_index` (`mykey`),
  KEY `name_index` (`name`) USING BTREE,
  KEY `created_at_index` (`created_at`),
  KEY `datafeed_id` (`datafeed_id`),
  KEY `category_id` (`category_id`),
  FULLTEXT KEY `fullname_index` (`name`)
)
EOSQL;

$result = $db->query($sql);

if ($result) {
	echo("Products table recreated");	
} else {
	echo("Problem recreating : " . $db->error);
}
?>
