<?php

function curl_file_get_contents($request) {
	$ch = curl_init();
	$timeout = 5; // set to zero for no timeout
	curl_setopt ($ch, CURLOPT_URL, $request);
	curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
	$response = curl_exec($ch);
	curl_close($ch);
	return $response;
}

function getAmazonDataAsXML($config, $params) {

	uksort($params, 'strnatcmp');
	$qstr = '';
	foreach ($params as $key => $val) {
	    $qstr .= "&{$key}=".rawurlencode($val);
	}
	$qstr = substr($qstr, 1);

	preg_match("/\/\/(.*)\/onca\/xml/", $config['endpoint'], $matches);
	$host = $matches[1];
	
	$str = "GET\n"
	     . "$host\n"
	     . "/onca/xml\n"
	     . $qstr;

	$params['Signature'] = base64_encode(hash_hmac('sha256', $str, $config['secret_key'], true));
	$request = $config['endpoint'] . '?' . http_build_query($params);	
	//echo("REQUEST = <textarea>$request</textarea>");
	$response = curl_file_get_contents($request);
	//echo("RESPONSE = <textarea>$response</textarea>");
	return simplexml_load_string($response);
}

function ItemSearch($config, $SearchIndex, $Keywords, $ItemPage = 1) {

	$params = array(
			'AssociateTag' 			=> $config['associates_tag'],
			'AWSAccessKeyId' 		=> $config['access_key'],
			'ItemPage'					=> $ItemPage,
			'Keywords'					=> urlencode($Keywords),
			'Operation' 				=> 'ItemSearch',
			'ResponseGroup'			=> 'ItemAttributes,Offers,Images,EditorialReview,Variations',
			'SearchIndex'				=> $SearchIndex,
			'Service' 					=> 'AWSECommerceService',
	    'SignatureMethod' 	=> 'HmacSHA256',
	    'SignatureVersion' 	=> 2,
	    'Timestamp' 				=> gmdate('Y-m-d\TH:i:s\Z'),
			'Version'						=> '2008-08-19'	
	);
	
	return getAmazonDataAsXML($config, $params);
}

function ItemLookup($config, $itemId) {
	
	$params = array(
			'AssociateTag' 			=> $config['associates_tag'],
			'AWSAccessKeyId' 		=> $config['access_key'],
			'ItemId'						=> "$itemId",
			'Operation' 				=> 'ItemLookup',
			'ResponseGroup'			=> 'ItemAttributes,Offers,Images,EditorialReview,Variations',
			'Service' 					=> 'AWSECommerceService',
	    'SignatureMethod' 	=> 'HmacSHA256',
	    'SignatureVersion' 	=> 2,
	    'Timestamp' 				=> gmdate('Y-m-d\TH:i:s\Z'),
			'Version'						=> '2008-08-19'	
	);

	return getAmazonDataAsXML($config, $params);
}
?>
