<?php
include 'config.inc';

function stringEndsWith($str, $pattern) {
    return (substr($str, strlen($str) - strlen($pattern)) == $pattern);
}

function getFileExtension($str) {
    $i = strrpos($str,".");
    if (!$i) { return ""; }

    $l = strlen($str) - $i;
    $ext = substr($str,$i+1,$l);

    return $ext;
}

function dirList ($directory) {
    $results = array();
    $handler = opendir($directory);

    while ($file = readdir($handler)) {
			if ((substr($file, 0, 1) != '.') && ($file != 'settings.tmpl') && ($file != 'style.tmpl')) {
            $results[] = $file;
			}
    }

    closedir($handler);
		sort($results);
    return $results;
}	

function getMetaValueFromFile($pattern, $content) {
	$matches = preg_grep($pattern, $content);
	$split_array = split(':', current($matches));
	return $split_array[1];		
}

function findTemplates($directory) {
	global $INSTALL_FOLDER;
	
	$results = array();
	$handler = opendir("$INSTALL_FOLDER/templates/{$directory}");
	
  while ($file = readdir($handler)) {
		if ((stringEndsWith($file, '.png')) || (stringEndsWith($file, '.jpg'))) {
			continue;
		}
		
		if (substr($file, 0, 1) != '.') {
			$results[] = $file;
		}
  }

  closedir($handler);
  return $results;	
}

function slug($str) {
	$str = strtolower(trim($str));
	$str = preg_replace('/[^a-z0-9-]/', '-', $str);
	$str = preg_replace('/-+/', "-", $str);
	return $str;
}

function getCurrentURL() {
	return "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['SCRIPT_NAME'] . "?" . $_SERVER['QUERY_STRING'];
}

function mail_error($DS_MONITOR, $DS_MONITOR_EMAIL, $subject = 'DS ERROR', $message = '') {

	if (! $DS_MONITOR) {
		return;
	}
	
	$url = getCurrentUrl();

	$full_message = <<<EOMSG
URL : $url\n
Referer : {$_SERVER['HTTP_REFERER']}\n
User Agent : {$_SERVER['HTTP_USER_AGENT']}\n

Error :

$message
EOMSG;

		mail($DS_MONITOR_EMAIL, $subject, $full_message);
}
?>