<?php

function get_pbox_product_html($products, $pricebox, $site_url, $public_url, $total_products) {

	$output = '';
	$product_count = 0;
	$total_product_count = 0;	
	
	foreach ($products as $p) {
		$datafeed_id = $p['datafeed_id'];
		
		if (preg_match('/^http/', $p['deep_link'])) {
			$deep_link = $p['deep_link'];			
		} else {
			$deep_link = $site_url . $p['deep_link'];
		}

		$mykey = $p['mykey'];
		$image_url = $p['image_url'];
		$name = $p['name'];
		$merchant_logo = $p['merchant_logo'];
		$merchant_name = $p['merchant_name'];
		$display_price = $p['display_price'];
		$used_price = $p['used_price'];
		$description = $p['description'];		
		$currency_prefix = $p['currency_prefix'];

		if ($used_price > 0) {
			$used_price_html = "<p style=\"font-size: smaller\" Used : $currency_prefix{$used_price}</p>";	
		} else {
			$used_price_html = '';
		}
	
		$mappings = array(
			'CURRENCY_PREFIX' => $currency_prefix,
			'DATAFEED_ID' => $datafeed_id,
			'DEEP_LINK' => $deep_link,
			'DISPLAY_PRICE' => $display_price,
			'IMAGE_URL' => $image_url,
			'MERCHANT_LOGO' => $merchant_logo,
			'NAME' => $name,
			'PRODUCT_COUNT' => $product_count,
			'MERCHANT_NAME' => $merchant_name,
			'MYKEY' => $mykey,
			'NUM_OF_OTHER_PRICES' => count($products) - 1,
			'PUBLIC_URL' => $public_url,
			'USED_PRICE_HTML' => $used_price_html,
			'BUYNOW_BUTTON' => $pricebox['BUYNOW_BUTTON'],				
			'DESCRIPTION' => $description,
			'MERCHANT_DESCRIPTION' => $p['merchant_description'],
			'RRP_PRICE' => $p['rrp_price'],
			'DELIVERY_TIME' => $p['delivery_time'],
			'DELIVERY_COST' => $p['delivery_cost'],
			'USERFIELD1' => $p['userfield1'],
			'USERFIELD2' => $p['userfield2'],
			'USERFIELD3' => $p['userfield3'],
			'USERFIELD4' => $p['userfield4'],
			'STOCK_MSG'	 => $p['stock_msg'],
			'CATEGORY'   => $p['category'],
			'SUBCATEGORY' => $p['subcategory'],
			'IS_PREORDER' => $p['is_preorder'],
			'PREORDER_MSG' => $p['preorder_msg'],
		);

		$product_html = $pricebox['product_html'];
		foreach($mappings as $key => $value) {
			$product_html = str_replace("%$key%", $value, $product_html);
		}
		$output .= $product_html;

		if (($product_count == 1) && (count($products) > 1)) {				
			$other_html = $pricebox['other_html'];

			if (count($products) == 1) {
				$mappings['OTHER_PLURAL'] = '';
			} else {
				$mappings['OTHER_PLURAL'] = 's';					
			}
		
			foreach($mappings as $key => $value) {
				$other_html = str_replace("%$key%", $value, $other_html);
			}
			$output .= $other_html;
		} // other_prices 

		$product_count++;
		$total_product_count++;

		if (($pricebox['repeat_interval']) && (($total_product_count % $pricebox['repeat_interval']) == 0) && ($total_product_count != $total_products)) {
			$output .= $pricebox['repeat_html'];
		}
	
	} // product

	return $output;
}


function get_pricebox_html($flat_products, $merchant_products, $site_url, $public_url, $pricebox_name) {

	if (! $site_url) {
		$site_url = $public_url . '/';
	}	

	if (substr($site_url, -1) != '/') {
		$site_url .= '/';
	}

	$pricebox = pricebox_find($pricebox_name);
	
	$css = $pricebox['css'];
	$mappings = array(
		'BACKGROUND_COLOR' => $pricebox['BACKGROUND_COLOR'],
		'BORDER_COLOR1' => $pricebox['BORDER_COLOR1'],
		'BORDER_COLOR2' => $pricebox['BORDER_COLOR2'],
		'BORDER_COLOR3' => $pricebox['BORDER_COLOR3'],
		'BORDER_COLOR4' => $pricebox['BORDER_COLOR4'],
		'PRODUCT_BORDER_COLOR1' => $pricebox['PRODUCT_BORDER_COLOR1'],
		'PRODUCT_BORDER_COLOR2' => $pricebox['PRODUCT_BORDER_COLOR2'],
		'PRODUCT_BORDER_COLOR3' => $pricebox['PRODUCT_BORDER_COLOR3'],
		'PRODUCT_BORDER_COLOR4' => $pricebox['PRODUCT_BORDER_COLOR4'],
		'BORDER_WIDTH1' => $pricebox['BORDER_WIDTH1'],
		'BORDER_WIDTH2' => $pricebox['BORDER_WIDTH2'],
		'BORDER_WIDTH3' => $pricebox['BORDER_WIDTH3'],
		'BORDER_WIDTH4' => $pricebox['BORDER_WIDTH4'],
		'PRODUCT_BORDER_WIDTH1' => $pricebox['PRODUCT_BORDER_WIDTH1'],
		'PRODUCT_BORDER_WIDTH2' => $pricebox['PRODUCT_BORDER_WIDTH2'],
		'PRODUCT_BORDER_WIDTH3' => $pricebox['PRODUCT_BORDER_WIDTH3'],
		'PRODUCT_BORDER_WIDTH4' => $pricebox['PRODUCT_BORDER_WIDTH4'],
		'BORDER_STYLE' => $pricebox['BORDER_STYLE'],
		'TABLE_WIDTH' => $pricebox['TABLE_WIDTH'],
		'FONT_SIZE'		=> $pricebox['FONT_SIZE'],
		'PADDING'			=> $pricebox['PADDING'],
		'PRODUCT_BORDER_STYLE' => $pricebox['PRODUCT_BORDER_STYLE'],
		'DESCRIPTION_FONT_SIZE'		=> $pricebox['DESCRIPTION_FONT_SIZE'],
		'FONT_COLOR' => $pricebox['FONT_COLOR'],
		'OTHER_BACKGROUND_COLOR' => $pricebox['OTHER_BACKGROUND_COLOR'],
		'OTHER_COLOR' => $pricebox['OTHER_COLOR'],		
		'OTHER_BORDER_COLOR1' => $pricebox['OTHER_BORDER_COLOR1'],
		'OTHER_BORDER_COLOR2' => $pricebox['OTHER_BORDER_COLOR2'],
		'OTHER_BORDER_COLOR3' => $pricebox['OTHER_BORDER_COLOR3'],
		'OTHER_BORDER_COLOR4' => $pricebox['OTHER_BORDER_COLOR4'],
		'OTHER_BORDER_WIDTH1' => $pricebox['OTHER_BORDER_WIDTH1'],
		'OTHER_BORDER_WIDTH2' => $pricebox['OTHER_BORDER_WIDTH2'],
		'OTHER_BORDER_WIDTH3' => $pricebox['OTHER_BORDER_WIDTH3'],
		'OTHER_BORDER_WIDTH4' => $pricebox['OTHER_BORDER_WIDTH4'],
		'OTHER_BORDER_STYLE' => $pricebox['OTHER_BORDER_STYLE'],
		'OTHER_FONT_SIZE'		=> $pricebox['OTHER_FONT_SIZE'],
		'PRICE_COLOR' => $pricebox['PRICE_COLOR'],
		'PRICE_HOVER_COLOR' => $pricebox['PRICE_HOVER_COLOR'],
		'PRICE_FONT_SIZE' => $pricebox['PRICE_FONT_SIZE'],
		'MERCHANT_COLOR' => $pricebox['MERCHANT_COLOR'],
		'MERCHANT_HOVER_COLOR' => $pricebox['MERCHANT_HOVER_COLOR'],
		'OTHER_IND_LEFT_COLOR' => $pricebox['OTHER_IND_LEFT_COLOR'],
		'OTHER_IND_RIGHT_COLOR' => $pricebox['OTHER_IND_RIGHT_COLOR'],
		'BUYNOW_BUTTON' => $pricebox['BUYNOW_BUTTON'],
	);

	foreach($mappings as $key => $value) {
		$css = str_replace("%$key%", $value, $css);
	}
	
	$output = "<style type='text/css'>" . $css . "</style>";
	
	$start_html = $pricebox['start_html'];

	$mappings = array(
		'PUBLIC_URL' => $public_url,
	);
	foreach($mappings as $key => $value) {
		$start_html = str_replace("%$key%", $value, $start_html);
	}
	$output .= $start_html;
	
	
	if (preg_match('/flat$/', $pricebox_name)) {
		$output .= get_pbox_product_html($flat_products, $pricebox, $site_url, $public_url, count($flat_products));
	} else {
		$total_products = 0;
		foreach ($merchant_products as $m) {
			$total_products += count($m['products']);
		}

		foreach ($merchant_products as $m) {
			$products = $m['products'];
			$output .= get_pbox_product_html($products, $pricebox, $site_url, $public_url, $total_products);
		} //merchant
	} 
	
	$output .= $pricebox['end_html'];
	return $output;
}
?>
