<?php

function display_category_dropdown($selected_category_id, $name = '', $default_heading = '') {
	
	echo ("<select id=\"$name\" name=\"$name\">");
	
	if ($default_heading) {
		echo <<<HEREDOC
			<option value="DEFAULT">$default_heading</option>
HEREDOC;

	}
	
	$category_result = category_find_all();

	for ($i = 0; $i < $category_result->num_rows; $i++) {

		$category = $category_result->fetch_array();

		if ($category['id'] == $selected_category_id) {
			$selected = 'selected="selected"';
		} else {
			$selected = '';
		}

		echo <<<HEREDOC
<option $selected value="{$category['id']}">{$category['name']}</option>
HEREDOC;
	}
	echo('</select>');
	
}

function display_text($title, $description, $name, $value, $size) {
		echo <<<HEREDOC
		<li>
			<label for="$name">$title <span class="tip">$description</span></label>
			<input id="$name" type="text" size="$size" name="$name" value="$value"/>
		</li>
HEREDOC;
}

function display_textarea($title, $description, $name, $value, $rows, $cols) {
	echo <<<HEREDOC
		<li>
		<label for="$name">$title <span class="tip">$description</span></label>
			<textarea id="$name" name="$name" rows="$rows" cols="$cols">$value</textarea>			
		</li>
HEREDOC;
	
}

function display_datafeed($title, $description, $name, $value) {

	$df_array = explode(",", $value);

	$datafeeds_result = datafeed_find_all();

	echo("<li>");

	for ($i = 0; $i < $datafeeds_result->num_rows; $i++) {
	
		$datafeed = $datafeeds_result->fetch_array();

		if (in_array($datafeed['id'], $df_array)) {
			$checked = "checked = 'checked' ";
		} else {
			$checked = '';
		}
	
	echo <<<HEREDOC
<input type="checkbox" name="datafeed_ids[]" value="{$datafeed['id']}" $checked /> {$datafeed['merchant_name']} <br/>
HEREDOC;
	}

	echo("</li>");
}

function display_checkbox($title, $description, $name, $value) {
		
	if ($value == true) {
		$checked = 'checked="checked"';
	} else {
		$checked = '';
	}

	echo <<<HEREDOC
		<li>
			<label for="$name">$title <span class="tip">$description</span></label>
				<input id="$name" type="checkbox" name="$name" value="on" $checked />
		</li>
HEREDOC;
	
}

function display_custom_categories($title, $description, $name, $value) {

	echo <<<EOHTML
	<li>
	<p>Select which top-level categories you wish to display : </p>

	<table id="category_table" class="tablesorter" border="1" cellpadding="2" cellspacing="0">
	<thead>
		<tr>
			<th>Select</th>
			<th>ID</th>
			<th>Name</th>
			<th>Type</th>
		</tr>
	</thead>
	
	<tbody>
	
EOHTML;
	
	$categories_result = category_find_all_parents();

	for ($i = 0; $i < $categories_result->num_rows; $i++) {

		$category = $categories_result->fetch_array();

		if (in_array($category['id'], $value)) {
			$checked = "checked='checked'";
		} else {
			$checked = '';
		}

		echo <<<HEREDOC
		<tr>
			<td><input type="checkbox" name="custom_category_ids[]" value="{$category['id']}" $checked /></td>
			<td>{$category['id']}</td>
			<td>{$category['name']}</td>
			<td>{$category['cat_type']}</td>
		</tr>
		
HEREDOC;
	}

	echo <<<EOHTML
	</tbody>
	</table>
</li>
EOHTML;
}

function display_menu_category($title, $description, $name, $value) {
	
	$values = array_values($value);
	$keys = array_keys($value);
	
	echo("<li>");

	for ($i = 0; $i < 5; $i++) {
		$key = $keys[$i];
		$val = $values[$i];
		
		if (! $val) {
			$val = "Enter Link Title";
		}
		display_category_dropdown($key, "menucat_{$i}", 'None Selected');

		echo <<<HEREDOC
<input type="text" value="$val" name="menuval_{$i}"/><br/>
HEREDOC;
	}

	echo("</li>");
	
}

function display_home_category($title, $description, $name, $value) {
	
	echo("<li>");
	echo("<label for=\"$name\">$title <span class=\"tip\">$description</span></label>");
	display_category_dropdown($value, "home_category", 'Latest Products');
	echo("</li>");
}

function display_priceboxes($current) {
	$pricebox_result = pricebox_find_all();
	
	echo("<li><label for='store_pricebox'>Price Box Style <span class='tip'>Choose the Price Box theme you wish to use.</span></label><select name='store_pricebox'>");
	foreach ($pricebox_result as $pricebox) {

		if ($pricebox == $current) {
			$selected = 'selected';
		} else {
			$selected = '';
		}
		
		echo <<<EOOPTION
<option $selected value="$pricebox">$pricebox</option>
EOOPTION;
	}
	echo("</select></li>");

}

function display_sort_options($current) {
	
	switch($current) {
		case 'mnazhigh': 
			$mnazhigh_selected = 'selected';
			break;
			
		case 'mnazlow':
			$mnazlow_selected = 'selected';
			break;
			
		case 'phtl':
			$phtl_selected = 'selected';
			break;
			
		case 'plth':
			$plth_selected = 'selected';
			break;
			
		default:
			$phtl_selected = 'selected';
			break;
	}

echo <<<EOHTML
<li><label for='store_pricebox'>Price Box Sorting<span class='tip'>Choose the default sort order you would like for Price Boxes (when used in conjunction with Auto Price Compare)</span></label>
	 <select name='store_sort'>
		<option value='mnazhigh' $mnazhigh_selected>Merchant Name A-Z (with the highest price listed first)</option>
		<option value='mnazlow' $mnazlow_selected>Merchant Name A-Z (with the lowest price listed first)</option>
		<option value='phtl' $phtl_selected>Prices High to Low</option>
		<option value='plth' $plth_selected>Prices Low to High</option>
	 </select></li>
EOHTML;

}

function display_ds_cat($ds_cats, $selected) {
	
	echo("Datafeed Studio category <select name='ds_cat[]'><option value=''>Please Select:</option>");
	foreach ($ds_cats as $id => $name) {
		
		if ($id == $selected) {
			$selectedText = 'selected';
		} else {
			$selectedText = '';
		}
		
		echo("<option value='$id' $selectedText>$name</option>");
	}
	echo("</select>");
}

function display_export_cat($export_cats, $selected) {
	echo(" maps to Export category <select name='export_cat[]'><option value=''>Please Select:</option>");
	foreach ($export_cats as $name) {
		
		if ($name == $selected) {
			$selectedText = 'selected';
		} else {
			$selectedText = '';
		}
		
		echo("<option value='$name' $selectedText>$name</option>");
	}
	echo("</select>");
}

function _display_single_mapping($id, $ds_cat, $ds_cats, $export_cat, $export_cats) {
	echo("<div id='$id'>");
	display_ds_cat($ds_cats, $ds_cat);
	display_export_cat($export_cats, $export_cat);
	echo("&nbsp;<a href='javascript:removeMapping(\"$id\")'>Remove Mapping</a><br/>");
	echo("</div>");
	
}
function display_export_mapping($mappings, $ds_cats, $export_cats) {

	if ($mappings) {
		echo("<h4>Current Mappings :</h4>");

		$i = 0;
		foreach ($mappings as $ds_cat => $export_cat) {
			_display_single_mapping("mapping_$i", $ds_cat, $ds_cats, $export_cat, $export_cats);			
			$i++;
		}		
	} else {
		echo("You don't have any category mappings between Datafeed Studio categories and external Export sites yet.");
	}

	echo("<br/><a id='add_new_mapping_link' href='#'>+ Add a New Mapping</a>");
	_display_single_mapping("add_new_mapping_box", '', $ds_cats, '', $export_cats);			

}

function display_select($short_desc, $long_desc, $items, $name, $selected_items, $default_option = false, $multisize = false) {
	
	echo("<li><label for='$name'>$short_desc <span class='tip'>$long_desc</span></label>");
	
	if ($multisize) {
		$multiText = 'multiple';
		$multiBrackets = '[]';
	} else {
		$multiText = '';
		$multiBrackets = '';
	}
	echo ("<select id=\"$name\" name=\"$name$multiBrackets\" $multiText size='$multisize'>");
	
	if ($default_option) {
		echo <<<HEREDOC
			<option value="DEFAULT">$default_option</option>
HEREDOC;

	}
	
	foreach ($items as $key => $value) {		
		if (in_array($key, $selected_items)) {
			$selected = 'selected="selected"';
		} else {
			$selected = '';
		}

		echo <<<HEREDOC
<option $selected value="$key">$value</option>
HEREDOC;
	
	}

	echo('</select></li>');
	
}


?>
