<?php

function head($tabid = '', $extra_head = '') {	
	echo<<<EOHTML
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>Datafeed Studio Admin</title>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<link href="../public/styles/dsadmin.css" rel="stylesheet" type="text/css" media="all"></link>
<script src="../../js/jquery.js" type="text/javascript"></script>
<script src="../js/dscommon.js" type="text/javascript"></script>
<script src="../../js/resize.js" type="text/javascript"></script>
$extra_head
</head>

<body id='$tabid'>
<ul id="tabnav">
	<li class="tab1"><a accesskey="1" href="index.php">Home</a></li>
	<li class="tab2"><a accesskey="2" href="datafeed_list.php">Datafeeds</a></li>
	<li class="tab3"><a accesskey="3" href="parsers.php">Parsers</a></li>
	<li class="tab4"><a accesskey="4" href="search.php">Search</a></li>
	<li class="tab5"><a accesskey="5" href="apisearch.php">API Search</a></li>
	<li class="tab7"><a accesskey="7" href="categories.php">Categories</a></li>
	<li class="tab8"><a accesskey="8" href="countries.php">Countries</a></li>
	<!-- <li class="tab8"><a href="pcsite.php">PC Site</a></li> -->
	<li class="tab9"><a accesskey="8" href="pcpages.php">PC Pages</a></li>
	<li class="tab10"><a accesskey="9" href="imagelibrary.php">Images</a></li>		
	<li class="tab11"><a accesskey="t" href="themes.php">Themes</a></li>	
	<li class="tab13"><a accesskey="c" href="priceboxes.php">Price Boxes</a></li>	
	<li class="tab12"><a accesskey="c" href="config.php">Config</a></li>	

</ul>

EOHTML;
}

function foot() {
	echo<<<EOHTML
</body>
</html>
EOHTML;
}

function scale_image($image, $max_width, $max_height) {
	list($width,$height) = getimagesize($image);
	
	$x_ratio = $max_width / $width;
	$y_ratio = $max_height / $height;

	if (($width <= $max_width) && ($height <= $max_height)) {
		$tn_width = $width;
	  $tn_height = $height;
	 } elseif (($x_ratio * $height) < $max_height) {
	 	$tn_height = ceil($x_ratio * $height);
	  $tn_width = $max_width;
	 } else {
	 	$tn_width = ceil($y_ratio * $width);
	  $tn_height = $max_height;
	}	
	
	return array($tn_width, $tn_height);
}

function add_theme_options($prefix, $themes, $title, $selected_theme) {
	echo "<optgroup label=\"$title\">";
	foreach ($themes as $theme) {

		if ($selected_theme == "$prefix/$theme") {
			$selected = "selected";
		} else {
			$selected = "";
		}
		echo <<<EOHTML
	<option value="$prefix/$theme" $selected>$theme</option>
EOHTML;
	}	
	echo "</optgroup>";
}

function display_status_message($statusMsg, $title = 'Status') {
		if ($statusMsg) {
			echo <<<EOSTATUS
	<div class="alertbox">
	<h1>$title</h1>
	$statusMsg
	</div>
	<br/>
EOSTATUS;
		}	
}

function checkbox_value($value) {
	if ($value == 1) {
		echo "checked";
	} else {
		echo "";
	}
}

function getCategoryStatus($category) {
	if ($category['parent_category_id']) {
		return "[Subcategory]";
	}
}

function displayArrayAsDropdown($field_name, $the_array, $current_selection, $id_field, $name_field, $prompt_text = null) {
	echo "<select id='$field_name' name='$field_name'>";
	
	if ($prompt_text) {
		echo <<<EOPROMPT
<option value="">$prompt_text</option>
EOPROMPT;
	}
	
	foreach ($the_array as $row) {

		if ($row["$id_field"] == $current_selection) {
			$selected = "selected";
		} else {
			$selected = '';
		}

		echo <<<EOROW
<option value="{$row[$id_field]}" $selected>{$row[$name_field]}</option>\n
EOROW;

	}

	echo "</select>";

}

?>