<?php

define("CONTENT_PAGE_TYPE", "page");
define("CONTENT_POST_TYPE", "post");
define("CONTENT_UNPUBLISHED", "0");
define("CONTENT_PUBLISHED", "1");

function update_content_published_time($content_page) {	
	if (($content_page['published'] == 1) && (is_null($content_page['published_at']))) {
		$content_page['published_at'] = time();
	}	
	
	return $content_page;
}

function content_page_insert($content_page) {
	global $db;
	
	$content_page['created_at'] = time();
	$content_page = update_content_published_time($content_page);

	$escaped_values = array();	
	foreach (array_values($content_page) as $value) {
		array_push($escaped_values, $db->real_escape_string($value));
	}
	
	$sql = "insert into content_pages(";
	$sql .= implode(array_keys($content_page), ",");
	$sql .= ") values('";
	$sql .= implode($escaped_values, "','");
	$sql .= "')";

	$db->query($sql);	
	return $db->insert_id;
}

function content_page_update($content_page) {
	
	global $db;
	
	$content_page['updated_at'] = time();
	$content_page = update_content_published_time($content_page);
		
	$sql = "update content_pages set ";
	foreach ($content_page as $key => $value) {
		if ($key != 'id') {
			$value = $db->real_escape_string($value);
			$sql = $sql .= "$key = '$value', ";
		}
	}
	
	$sql = substr($sql, 0, -2);
	$sql .= " where id = {$content_page['id']}";
	$result = $db->query($sql);	
}

function content_page_find($id) {
	global $db;
	$query = "select * from content_pages where id = $id";
	$result = $db->query($query);
	return $result->fetch_array();
}

function content_page_find_all() {
	global $db;
	$query = "select * from content_pages order by id";
	return $db->query($query);
}

function content_page_find_by_site($site_id, $order_by, $page_type = CONTENT_PAGE_TYPE, $published = 0, $start = 0, $amount = 0) {
	global $db;
	$query = "select * from content_pages where site_id = $site_id and page_type = '$page_type' and published >= $published order by $order_by";
	
	if ($amount > 0)  {
		$query .= " limit $start, $amount";
	}
		
	return $db->query($query);
}

function content_page_delete($id) {
	global $db;	
	$query = "delete from content_pages where id = $id";
	$db->query($query);
}

function content_page_findby_permalink_with_site($permalink, $site_id) {
	global $db;
	$query = "select * from content_pages where permalink = '$permalink' and site_id = $site_id";	
	$result = $db->query($query);
	return $result->fetch_array();
}

?>