<?php

function datafeed_insert($datafeed) {
	
	global $db;
	$statement = $db->prepare("insert into datafeeds(merchant_name, merchant_logo, parser_id, description, datafile, url, feed_type, status, total_products, api_key, country_code, is_suspended) values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
	$statement->bind_param('ssisssssissi', 
		$datafeed['merchant_name'],
		$datafeed['merchant_logo'],
		$datafeed['parser_id'],
		$datafeed['description'],
		$datafeed['datafile'],
		$datafeed['url'],
		$datafeed['feed_type'],
		$datafeed['status'],
		$datafeed['total_products'],
		$datafeed['api_key'],
		$datafeed['country_code'],
		$datafeed['is_suspended']
	);

	$result = $statement->execute();
	$statement->close();	
	return $result->last_id;
}

function datafeed_update($datafeed) {
	global $db;
	$statement = $db->prepare("update datafeeds set merchant_name = ?, merchant_logo = ?, parser_id = ?, description = ?, datafile = ?, url = ?, feed_type = ?, status = ?, total_products = ?, last_import = ?, api_key = ?, country_code = ?, is_suspended = ? where id = ?");
	$statement->bind_param('ssisssssisssii', 
		$datafeed['merchant_name'],
		$datafeed['merchant_logo'],
		$datafeed['parser_id'],
		$datafeed['description'],
		$datafeed['datafile'],
		$datafeed['url'],
		$datafeed['feed_type'],
		$datafeed['status'],
		$datafeed['total_products'],
		$datafeed['last_import'],
		$datafeed['api_key'],
		$datafeed['country_code'],
		$datafeed['is_suspended'],
		$datafeed['id']
	);

	if (! $statement) {
	    echo "FATAL Statement Error: " . $db->error;
	    exit;
	}

	$result = $statement->execute();
	$statement->close();	
}

function datafeed_find_all() {
	global $db;
	$query = "select * from datafeeds where id >= 0 order by merchant_name";
	return $db->query($query);		
}

function datafeed_find_all_nonws() {
	global $db;
	$query = "select * from datafeeds where id >= 0 and feed_type != 'webservice' order by merchant_name";
	return $db->query($query);		
}


function datafeed_find($id) {
	global $db;
	$query = "select * from datafeeds where id = '$id'";
	$result = $db->query($query);
	return $result->fetch_array();
}

function datafeed_findby_apikey($apikey) {
	global $db;
	$query = "select * from datafeeds where api_key = '$apikey'";
	$result = $db->query($query);
	return $result->fetch_array();
}

function datafeed_delete($id) {
	global $db;
	$query = "delete from products where datafeed_id = $id";
	$db->query($query);

	$query = "delete from datafeeds where id = $id";
	$db->query($query);
	
}

function datafeed_find_az($start_letter, $end_letter) {
	global $db;
	$query = "select * from datafeeds where id >= 0 and (ascii(lower(merchant_name)) >= ord('$start_letter') and ascii(lower(merchant_name)) <= ord('$end_letter')) order by merchant_name";
	return $db->query($query);		
}

function datafeed_find_ids_az($start_letter, $end_letter) {	
	global $db;
	$query = "select id from datafeeds where id >= 0 and (ascii(lower(merchant_name)) >= ord('$start_letter') and ascii(lower(merchant_name)) <= ord('$end_letter')) order by merchant_name";

	$result = $db->query($query);
	$output = "";
	for ($i = 0; $i < $result->num_rows; $i++) {
		$datafeed = $result->fetch_array();
		$output .= $datafeed['id'] . ",";
	}

	if ($output) {
		$output = substr($output, 0, strlen($output) - 1);
	}
	
	return $output;
}

function datafeed_find_by_ids($ids) {
	global $db;
	$query = "select * from datafeeds where id >= 0 and id in ($ids) order by merchant_name";
	return $db->query($query);		
}

?>