<?php

function pcpage_insert($pcpage) {
	
	global $db;
	$statement = $db->prepare("insert into pcpages(permalink, product_name, meta_description, meta_keywords, theme, sql_code, blurb, image1, image1h, image1w, image2, image2h, image2w) values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
	$statement->bind_param('sssssssiiiiii', 
		$pcpage['permalink'],
		$pcpage['product_name'],
		$pcpage['meta_description'],
		$pcpage['meta_keywords'],
		$pcpage['theme'],
		$pcpage['sql_code'],
		$pcpage['blurb'],
		$pcpage['image1'],
		$pcpage['image1h'],
		$pcpage['image1w'],
		$pcpage['image2'],
		$pcpage['image2h'],
		$pcpage['image2w']
	);
		
	$result = $statement->execute();
	$statement->close();	
}

function pcpage_update($pcpage) {
	global $db;
	$statement = $db->prepare("update pcpages set permalink = ?, product_name = ?, meta_description = ?, meta_keywords = ?, theme = ?, sql_code = ?, blurb = ?, image1 = ?, image1h = ?, image1w = ?, image2 = ?, image2h = ?, image2w = ? where id = ?");
	$statement->bind_param('sssssssiiiiiii', 
		$pcpage['permalink'],
		$pcpage['product_name'],
		$pcpage['meta_description'],
		$pcpage['meta_keywords'],
		$pcpage['theme'],
		$pcpage['sql_code'],
		$pcpage['blurb'],
		$pcpage['image1'],
		$pcpage['image1h'],
		$pcpage['image1w'],
		$pcpage['image2'],
		$pcpage['image2h'],
		$pcpage['image2w'],		
		$pcpage['id']
	);

	$result = $statement->execute() or die ("Update error");
	$statement->close();	
}

function pcpage_find_all() {
	global $db;
	$query = "select * from pcpages order by product_name";
	return $db->query($query);		
}

function pcpage_find($id) {
	global $db;
	$query = "select * from pcpages where id = $id";
	$result = $db->query($query);
	return $result->fetch_array();
}

function pcpage_findby_permalink($permalink) {
	global $db;
	$query = "select * from pcpages where permalink = '$permalink'";
	$result = $db->query($query);
	return $result->fetch_array();	
}

function pcpage_delete($id) {
	global $db;
	$query = "delete from pcpages where id = $id";
	$db->query($query);
}

?>