DROP TABLE IF EXISTS `amazonproducts`;
CREATE TABLE `amazonproducts` (
  `id` int(11) NOT NULL auto_increment,
  `asin` varchar(64) default NULL,
  `title` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `cat_type` varchar(20) default NULL,
  `blurb` text,
  `description` varchar(255) default NULL,
  `sql_code` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `category_product`;
CREATE TABLE `category_product` (
  `id` int(11) NOT NULL auto_increment,
  `category_id` int(11) default NULL,
  `mykey` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `datafeeds`;
CREATE TABLE `datafeeds` (
  `id` int(11) NOT NULL auto_increment,
  `merchant_name` varchar(255) default NULL,
  `merchant_logo` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `datafile` varchar(255) default NULL,
  `feed_type` varchar(20) default NULL,
  `url` varchar(1024) default NULL,
  `status` varchar(30) default NULL,
  `total_products` int(11) default NULL,
  `parser_id` int(11) default NULL,
  `last_import` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `filters`;
CREATE TABLE `filters` (
  `id` int(11) NOT NULL auto_increment,
  `filter_type` varchar(100) default NULL,
  `field_name` varchar(50) default NULL,
  `parser_id` int(11) default NULL,
  `param1` varchar(100) default NULL,
  `param2` varchar(100) default NULL,
  `param3` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `images`;
CREATE TABLE `images` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `filename` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `meta`;
CREATE TABLE `meta` (
  `mykey` varchar(255) NOT NULL,
  `merchant_name` varchar(255) default NULL,
  `model_number` varchar(100) default NULL,
  `name` varchar(255) default NULL,
  `description` varchar(1000) default NULL,
  `thumb_url` varchar(1000) default NULL,
  `image_url` varchar(1000) default NULL,
  `deep_link` varchar(1000) default NULL,
  `delivery_time` varchar(100) default NULL,
  `in_stock` int(1) default NULL,
  `rrp_price` decimal(11,2) default NULL,
  `display_price` decimal(11,2) default NULL,
  `is_preorder` int(1) default NULL,
  `delivery_cost` decimal(11,2) default NULL,
  `logo` varchar(255) default NULL,
  `is_to_be_ignored` int(1) default '0',
  `clicks` int(11) default NULL,
  PRIMARY KEY  (`mykey`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `parsers`;
CREATE TABLE `parsers` (
  `id` int(11) NOT NULL auto_increment,
  `parser_name` varchar(80) default NULL,
  `parser_type` varchar(20) default NULL,
  `parser_separator` varchar(20) default NULL,
  `merchant_name` varchar(30) default NULL,
  `model_number` varchar(30) default NULL,
  `name` varchar(30) default NULL,
  `description` varchar(30) default NULL,
  `thumb_url` varchar(30) default NULL,
  `image_url` varchar(30) default NULL,
  `deep_link` varchar(30) default NULL,
  `delivery_time` varchar(30) default NULL,
  `in_stock` varchar(30) default NULL,
  `rrp_price` varchar(30) default NULL,
  `display_price` varchar(30) default NULL,
  `is_preorder` varchar(30) default NULL,
  `delivery_cost` varchar(30) default NULL,
  `mykey` varchar(30) default NULL,
  `parser_prefix` varchar(30) default NULL,
  `skip_first_row` varchar(3) default NULL,
  `parser_description` varchar(255) default NULL,
  `category` varchar(100) default NULL,
  `subcategory` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `pcpages`;
CREATE TABLE `pcpages` (
  `id` int(11) NOT NULL auto_increment,
  `permalink` varchar(255) default NULL,
  `product_name` varchar(255) default NULL,
  `meta_description` varchar(255) default NULL,
  `meta_keywords` varchar(255) default NULL,
  `theme` varchar(255) default NULL,
  `sql_code` varchar(1024) default NULL,
  `blurb` text,
  `image1` int(11) default NULL,
  `image1h` int(4) default NULL,
  `image1w` int(4) default NULL,
  `image2` int(11) default NULL,
  `image2h` int(4) default NULL,
  `image2w` int(4) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `product_hits`;
CREATE TABLE `product_hits` (
  `id` int(11) NOT NULL auto_increment,
  `mykey` varchar(255) default NULL,
  `clicktime` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `id` int(11) NOT NULL auto_increment,
  `mykey` varchar(255) default NULL,
  `merchant_name` varchar(255) default NULL,
  `model_number` varchar(100) default NULL,
  `name` varchar(255) default NULL,
  `description` varchar(2500) default NULL,
  `thumb_url` varchar(1000) default NULL,
  `image_url` varchar(1000) default NULL,
  `deep_link` varchar(1000) default NULL,
  `delivery_time` varchar(100) default NULL,
  `in_stock` int(1) default NULL,
  `rrp_price` decimal(11,2) default NULL,
  `display_price` decimal(11,2) default NULL,
  `is_preorder` int(1) default NULL,
  `delivery_cost` decimal(11,2) default NULL,
  `created_at` datetime default NULL,
  `updated_at` datetime default NULL,
  `datafeed_id` int(11) default NULL,
  `category` varchar(100) default NULL,
  `subcategory` varchar(100) default NULL,
  PRIMARY KEY  (`id`),
  KEY `mykey_index` (`mykey`),
  KEY `name_index` USING BTREE (`name`),
  FULLTEXT KEY `fullname_index` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `reviews`;
CREATE TABLE `reviews` (
  `id` int(11) NOT NULL auto_increment,
  `mykey` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `comment` text,
  `approved` tinyint(1) default '0',
  `review_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `sites`;
CREATE TABLE `sites` (
  `id` int(11) NOT NULL auto_increment,
  `site_type` varchar(30) default NULL,
  `theme` varchar(100) default NULL,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
INSERT INTO `filters` VALUES (1,'replace',NULL,NULL,'','',NULL),(2,'replace',NULL,NULL,'','',NULL),(3,'replace',NULL,NULL,'','',NULL),(6,'replace','model_number',3,'one','two',NULL),(7,'replace','model_number',3,'one','two',NULL),(8,'replace','model_number',3,'400D','999D',NULL),(9,'replace','display_price',3,'GBP','',NULL),(11,'buyatstock','in_stock',5,'','',NULL);
INSERT INTO `parsers` VALUES (3,'Aff Win CSV PIPE',NULL,'|','','8','9','10','19','20','21','24','35','30','31','34','32','2',NULL,'on','Parser for Affiliate Window CSV feeds separated by the PIPE character (v1.2)','15',NULL),(5,'BuyAt CSV Pipe',NULL,'|','','29','1','11','14','14','12','22','23','20','17','39','21','0',NULL,'on','BuyAt affiliate network. CSV file with PIPE separator.',NULL,NULL),(6,'TradeDoubler CSV PIPE',NULL,'|',NULL,'','0','3','2','2','1','','-1','','4','-1','','6',NULL,NULL,'Trade Doubler Affiliate Network PIPE Separated CSV',NULL,NULL);
