<?php


function dsapic_render_classic($products, $ds_columns, $ds_url, $redirect_url = '') {

	$CURRENCY_PREFIX = '&pound;';
	
	echo('<a name="prices"></a>');
  echo('<div style=""><table class="pricebox">');

	if ($ds_columns) {
		echo "<thead><tr>";
		$columns = split(",", $ds_columns);

			foreach ($columns as $column) {
				echo <<<EOHTML
<th>$column</th>
EOHTML;
			}	

			echo "</thead></tr>";

	}

	foreach ($products as $product) {		
		$product = get_object_vars($product);
		
		if ($redirect_url) {
			$product['deep_link'] = $redirect_url . '/' . $product['deep_link'];			
		} else {
			$product['deep_link'] = $ds_url . '/' . $product['deep_link'];						
		}
		
		if ($product['used_price'] > 0) {
			$used_price =<<<USED_PRICE
			<p style="font-size: smaller">Used : $CURRENCY_PREFIX{$product['used_price']}</p>
USED_PRICE;
		} else {
			$used_price = '';
		}

		echo <<<EOHTML
		<tr class="$row_style">
			<td>
				<a rel="nofollow" target="_{$product['mykey']}" href="{$product['deep_link']}"><img width="100" src="{$product['image_url']}" border="0" align="left"/></a>
			</td>

			<td>{$product['name']} (<a rel="nofollow" target="_{$product['mykey']}" href="{$product['deep_link']}">{$product['merchant_name']}</a>)</td>

			<td class="pricecol" align="center">
				<a rel="nofollow" target="_{$product['mykey']}" href="{$product['deep_link']}"><img src="{$product['merchant_logo']}" height="31" width="88" alt="{$product['merchant_name']} Logo" border="0"/></a>
				<br/><br/>
				<a target="_{$product['mykey']}" rel="nofollow" href="{$product['deep_link']}"><strong>$CURRENCY_PREFIX{$product['display_price']}</strong>$used_price</a>
				<br/><br/>
				<a rel="nofollow" target="_{$product['mykey']}" href="{$product['deep_link']}"><img border="0" src="$ds_url/dsimages/buynow.gif" alt="Buy Now"/>
			</td>
		</tr>
EOHTML;
	}

	echo('</table></div>');
}

function dsapic_http_get_request($url) {
	$ch = curl_init();
	$timeout = 60; // set to zero for no timeout
	curl_setopt ($ch, CURLOPT_URL, $url);
	curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);

	$response = curl_exec($ch);
	curl_close($ch);
	return $response;
}

function dsapic_pricebox($url, $query, $clickref = '', $amazon = '', $redirect_url = '', $pricebox = 'default') {

		$query = urlencode($query);
		$amazon = urlencode($amazon);
		$clickref = urlencode($clickref);
		$pricebox = urlencode($pricebox);
		$redirect_url = urlencode($redirect_url);
				
		$request_url = "$url/api/v1/products?search=$query&amazon=$amazon&clickref=$clickref&pricebox=$pricebox&redirect_url=$redirect_url";
		echo dsapic_http_get_request($request_url);	
}

function dsapic_redirect($redirect_script_url) {
	if ((strstr($_SERVER['QUERY_STRING'], 'url=')) ||
		 (strstr($_SERVER['QUERY_STRING'], 'id='))) {

		header("Location: " . $redirect_script_url . '?' . $_SERVER['QUERY_STRING']);
		exit;		
	}	
}

function dsapic_get_products($url, $query, $clickref = '', $amazon = '', $redirect_url = '') {
	$query = urlencode($query);
	$amazon = urlencode($amazon);
	$clickref = urlencode($clickref);
	
	$request_url = "$url/api/v1/products?search=$query&amazon=$amazon&clickref=$clickref";
	$responseAsXml = dsapic_http_get_request($request_url);
	$xml = simplexml_load_string($responseAsXml);

	return $xml->xpath('//product');
}

?>