<?php

function get_pagination_links($pageno, $lastpage) {
	
	if ($lastpage <= 1) {
		return;
	}
	
	if (! $pageno) {
		$pageno = 1;
	}

	ob_start();
	echo ("<div class='pagination'>");
	
	$category = urlencode($_GET['category']);
	$q = urlencode($_GET['q']);
	$order = urlencode($_GET['order']);
	$catid = urlencode($_GET['catid']);
		
	$script = $_SERVER['SCRIPT_URI'];
	
	if ($pageno == 1) {
	   echo " <!-- FIRST PREV --> ";
	} else {
	   echo "&nbsp;&nbsp;&nbsp;<a href='$script?pageno=1&category=$category&q=$q&order=$order&catid=$catid'>First</a> ";
	   $prevpage = $pageno-1;
	   echo "&nbsp;&nbsp;&nbsp;<a href='$script?pageno=$prevpage&category=$category&q=$q&catid=$catid'>Prev</a> ";
	} // if

	echo "&nbsp;&nbsp;&nbsp; (Page <b>$pageno</b> of <b>$lastpage</b>) ";

	if ($pageno == $lastpage) {
	   echo " <!-- NEXT LAST -->";
	} else {
	   $nextpage = $pageno+1;
	   echo "&nbsp;&nbsp;&nbsp;<a href='$script?pageno=$nextpage&category=$category&q=$q&order=$order&catid=$catid'>Next</a> ";
	   echo "&nbsp;&nbsp;&nbsp; <a href='$script?pageno=$lastpage&category=$category&q=$q&order=$order&catid=$catid'>Last</a> ";
	} // if	
	echo ("</div>");
	
	
	$contents = ob_get_contents();
	ob_end_clean();

	return $contents;
}

function get_pagination_values($query, $pageno) {
	global $db;
	global $ITEMS_PER_PAGE;
	
	
	if (! $ITEMS_PER_PAGE) {
		$rows_per_page = 9;
	} else {
		$rows_per_page = $ITEMS_PER_PAGE;
	}
	
	if (! $pageno) {
		$pageno = 1;
	} 
	
	$result = $db->query($query) or trigger_error("SQL", E_USER_ERROR);

	$query_data = $result->fetch_row();
	$numrows = $query_data[0];

	$lastpage = ceil($numrows/$rows_per_page);

	$pageno = (int)$pageno;
	if ($pageno > $lastpage) {
	   $pageno = $lastpage;
	}

	if ($pageno < 1) {
	   $pageno = 1;
	}

	$limit = 'LIMIT ' .($pageno - 1) * $rows_per_page .',' .$rows_per_page;	
	return array($limit, $lastpage);
}
?>